Opened 6 months ago

Closed 6 months ago

#34906 closed Uncategorized (invalid)

Need help with makemigrations

Reported by: Prasad Rao Owned by: nobody
Component: Database layer (models, ORM) Version: 4.2
Severity: Normal Keywords:
Cc: Triage Stage: Unreviewed
Has patch: no Needs documentation: no
Needs tests: no Patch needs improvement: no
Easy pickings: no UI/UX: no

Description (last modified by Mariusz Felisiak)

I have a codebase that was developed a while back and I am having some difficulty bringing it back to life. It might be that I am a bit rusty and this is really simple:

The repo is https://github.com/gprlearn/appregister

I ran "python manage.py makemigrations" and I get the following error:

Traceback (most recent call last):
  File "C:\Users\prao5\AppData\Roaming\Python\Python312\site-packages\django\core\management\base.py", line 323, in run_from_argv
    self.execute(*args, **cmd_options)
  File "C:\Users\prao5\AppData\Roaming\Python\Python312\site-packages\django\core\management\base.py", line 361, in execute
    self.check()
  File "C:\Users\prao5\AppData\Roaming\Python\Python312\site-packages\django\core\management\base.py", line 387, in check
    all_issues = self._run_checks(
                 ^^^^^^^^^^^^^^^^^
  File "C:\Users\prao5\AppData\Roaming\Python\Python312\site-packages\django\core\management\base.py", line 377, in _run_checks
    return checks.run_checks(**kwargs)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "C:\Users\prao5\AppData\Roaming\Python\Python312\site-packages\django\core\checks\registry.py", line 72, in run_checks
    new_errors = check(app_configs=app_configs)
                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "C:\Users\prao5\AppData\Roaming\Python\Python312\site-packages\django\core\checks\translation.py", line 17, in check_setting_language_code
    if not language_code_re.match(settings.LANGUAGE_CODE):
                                  ^^^^^^^^^^^^^^^^^^^^^^
  File "C:\Users\prao5\AppData\Roaming\Python\Python312\site-packages\django\conf\__init__.py", line 79, in __getattr__
    self._setup(name)
  File "C:\Users\prao5\AppData\Roaming\Python\Python312\site-packages\django\conf\__init__.py", line 66, in _setup
    self._wrapped = Settings(settings_module)
                    ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "C:\Users\prao5\AppData\Roaming\Python\Python312\site-packages\django\conf\__init__.py", line 157, in __init__
    mod = importlib.import_module(self.SETTINGS_MODULE)
          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "C:\Program Files\Python312\Lib\importlib\__init__.py", line 90, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "<frozen importlib._bootstrap>", line 1381, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1354, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1318, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'djangoproject.settings'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\prao5\appregister\manage.py", line 21, in <module>
    main()
  File "C:\Users\prao5\appregister\manage.py", line 17, in main
    execute_from_command_line(sys.argv)
  File "C:\Users\prao5\AppData\Roaming\Python\Python312\site-packages\django\core\management\__init__.py", line 381, in execute_from_command_line
    utility.execute()
  File "C:\Users\prao5\AppData\Roaming\Python\Python312\site-packages\django\core\management\__init__.py", line 375, in execute
    self.fetch_command(subcommand).run_from_argv(self.argv)
  File "C:\Users\prao5\AppData\Roaming\Python\Python312\site-packages\django\core\management\base.py", line 336, in run_from_argv
    connections.close_all()
  File "C:\Users\prao5\AppData\Roaming\Python\Python312\site-packages\django\db\utils.py", line 219, in close_all
    for alias in self:
  File "C:\Users\prao5\AppData\Roaming\Python\Python312\site-packages\django\db\utils.py", line 213, in __iter__
    return iter(self.databases)
                ^^^^^^^^^^^^^^
  File "C:\Users\prao5\AppData\Roaming\Python\Python312\site-packages\django\utils\functional.py", line 80, in __get__
    res = instance.__dict__[self.name] = self.func(instance)
                                         ^^^^^^^^^^^^^^^^^^^
  File "C:\Users\prao5\AppData\Roaming\Python\Python312\site-packages\django\db\utils.py", line 147, in databases
    self._databases = settings.DATABASES
                      ^^^^^^^^^^^^^^^^^^
  File "C:\Users\prao5\AppData\Roaming\Python\Python312\site-packages\django\conf\__init__.py", line 79, in __getattr__
    self._setup(name)
  File "C:\Users\prao5\AppData\Roaming\Python\Python312\site-packages\django\conf\__init__.py", line 66, in _setup
    self._wrapped = Settings(settings_module)
                    ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "C:\Users\prao5\AppData\Roaming\Python\Python312\site-packages\django\conf\__init__.py", line 157, in __init__
    mod = importlib.import_module(self.SETTINGS_MODULE)
          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "C:\Program Files\Python312\Lib\importlib\__init__.py", line 90, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "<frozen importlib._bootstrap>", line 1381, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1354, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1318, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'djangoproject.settings'

Change History (1)

comment:1 by Mariusz Felisiak, 6 months ago

Description: modified (diff)
Resolution: invalid
Status: newclosed

Please don't use Trac as a support channel. Closing per TicketClosingReasons/UseSupportChannels.

Note: See TracTickets for help on using tickets.
Back to Top